Subject: Re: make problems (b18 and mingw32)
From: [email-masked] (Earnie Boyd)

22 Feb 1998 19:17:45 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Sat, 21 Feb 1998 04:51:05 -0500
>From: "John A. Turner" <[email-masked]>
>To: gnu-win32 mailing list <[email-masked]>
>Subject: make problems (b18 and mingw32)
>
>Call this Makefile:
>
>--------------------------------------
>var = blorp
>
>export
>cwd = $(shell pwd)
>
>foo:
>	@echo $(var)
>	@echo $(cwd)
>	@make -f Makefile2 bar
>--------------------------------------
>
>and this Makefile2:
>
>--------------------------------------
>cwd = $(shell pwd)
>
>bar:
>	@echo $(var)
>	@echo $(cwd)
>--------------------------------------
>
>Now, my path is set up like this:
>
>bash$ which make
>make is //D/LOCAL/MINGW32/BIN/make
>make is /GNUWIN32/B18/H-I386-CYGWIN32/BIN/make
>
>bash$ /GNUWIN32/B18/H-I386-CYGWIN32/BIN/make --version
>GNU Make version 3.75, by Richard Stallman and Roland McGrath.
>
>bash$ make --version
>GNU Make version 3.76.1, by Richard Stallman and Roland McGrath.
>
>If I use the b18 version var isn't exported correctly:
>
>bash$ /GNUWIN32/B18/H-I386-CYGWIN32/BIN/make
>blorp
>//D/John/lanl/foodir
>
>//D/John/lanl/foodir
>
>If I use the newer mingw32 version it is:
>
>bash$ make
>blorp
>//D/John/lanl/foodir
>make[1]: Entering directory `D:/John/lanl/foodir'
>blorp
>//D/John/lanl/foodir
>make[1]: Leaving directory `D:/John/lanl/foodir'
>
>OK, great, I'll use the mingw32 version.

mingw32 make will absolutely not work under bash.  You must use it under 
MSDOS.  The filesystem syscalls get trapped by cygwin.dll and therefore 
mingw32-make will not work.

>
>Not so fast, though.  I have a different problem with it.  Whereas
>at the command line I can do:
>
>bash$ uname -n
>STRAT
>
>if I modify the first Makefile above to now be:
>
>--------------------------------------
>var = blorp
>
>export
>cwd = $(shell pwd)
>host = $(shell uname -n)
>
>foo:
>	@echo $(host)
>	@echo $(var)
>	@echo $(cwd)
>	@make -f Makefile2 bar
>--------------------------------------
>
>the mingw32 make coughs up blood thus:
>
>bash$ make
>make: Interrupt/Exception caught (code = 0xc0000005, addr = 0x417c1b)
>
>
>make -d essentially gives the same info:
>
>
>Unhandled exception filter called from program make
>
>ExceptionCode = c0000005
>
>ExceptionFlags = 0
>
>ExceptionAddress = 417c1b
>
>Access violation: read operation at address a000002a
>
>
>Most annoyingly, the b18 make does this part right:
>
>bash$ /GNUWIN32/B18/H-I386-CYGWIN32/BIN/make
>STRAT
>blorp
>//D/John/lanl/foodir
>
>//D/John/lanl/foodir
>
>Any suggestions?  Will this be fixed in b19?

Will what be fixed?  The variable problem or running mingw32-make with  
bash?

>
>Thanks,
>
>--
>John A. Turner
>Blue Sky|VIFX  http://www.blueskystudios.com|http://www.vifx.com
>LANL           http://www.lanl.gov/home/turner
>Personal       http://www.concentric.net/~jturners
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".